Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.search.impl
Class AbstractQueryConverter

    java.lang.Object
      org.jboss.portal.search.impl.AbstractQueryConverter

All Implemented Interfaces:
  QueryConverter

Direct Known Subclasses:
  JCRQueryConverter, SimpleQueryConverter

    public abstract class AbstractQueryConverter

extends java.lang.Object
implements QueryConverter

Version:
  $Revision: 8784 $
Author:
  Thomas Heute

Constructor Summary
`AbstractQueryConverter()`

Method Summary
`Query` | `convert(FederatedQuery query)`
`Query` | `convert(org.apache.lucene.search.Query luceneQuery)`
`abstract Query` | `convertBooleanQuery(org.apache.lucene.search.BooleanQuery query)`
`abstract Query` | `convertTermQuery(org.apache.lucene.search.TermQuery query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractQueryConverter

    public AbstractQueryConverter()

Method Detail

### convert

    public Query convert(FederatedQuery query)
                  throws QueryConversionException

  Specified by:
    `convert` in interface `QueryConverter`
  Throws:
    `QueryConversionException`

### convert

    public Query convert(org.apache.lucene.search.Query luceneQuery)
                  throws QueryConversionException

  Throws:
    `QueryConversionException`

### convertTermQuery

    public abstract Query convertTermQuery(org.apache.lucene.search.TermQuery query)

### convertBooleanQuery

    public abstract Query convertBooleanQuery(org.apache.lucene.search.BooleanQuery query)
                                       throws QueryConversionException

  Throws:
    `QueryConversionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD